org.apache.ignite.client

## Interface ClientServices

-     public interface ClientServices

  Thin client services facade.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientClusterGroup` | `clusterGroup()` Gets the cluster group to which this `ClientServices` instance belongs.
    `<T> T` | `serviceProxy(String name, Class<? super T> svcItf)` Gets a remote handle on the service.
    `<T> T` | `serviceProxy(String name, Class<? super T> svcItf, long timeout)` Gets a remote handle on the service with timeout.

- - ### Method Detail

    - #### clusterGroup

          ClientClusterGroup clusterGroup()

      Gets the cluster group to which this `ClientServices` instance belongs.
      Returns:
        Cluster group to which this `ClientServices` instance belongs.

    - #### serviceProxy

          <T> T serviceProxy(String name,
                             Class<? super T> svcItf)

      Gets a remote handle on the service.

      Note: There are no guarantees that each method invocation for the same proxy will always contact the same remote service (on the same remote node).

      Type Parameters:
        `T` - Service type.
      Parameters:
        `name` - Service name.
        `svcItf` - Interface for the service.
      Returns:
        Proxy over remote service.

    - #### serviceProxy

          <T> T serviceProxy(String name,
                             Class<? super T> svcItf,
                             long timeout)

      Gets a remote handle on the service with timeout.

      Note: There are no guarantees that each method invocation for the same proxy will always contact the same remote service (on the same remote node).

      Type Parameters:
        `T` - Service type.
      Parameters:
        `name` - Service name.
        `svcItf` - Interface for the service.
        `timeout` - If greater than 0 created proxy will wait for service availability only specified time, and will limit remote service invocation time.
      Returns:
        Proxy over remote service.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022